#!/usr/bin/perl
############################################################
eval {
	($0=~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");
	($0=~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");
	require "./config.pl";
	push(@INC, "$CONFIG{script_path}/scripts");
	require "./scripts/ads.pl";
	require "./scripts/adsearch.pl";
  	require "./scripts/database.pl";
  	require "./scripts/new_database.pl";
	require "./scripts/default_config.pl";
	require "english.lng";
	require "./scripts/html.pl";
	require "./scripts/parse_template.pl";
	require "./scripts/library.pl";
	require "./scripts/mojoscripts.pl";
	require "./scripts/utils.pl";
	require "./scripts/members.pl";
	if (-f "$CONFIG{script_path}/scripts/admin_ibill.pl") {require "admin_ibill.pl";}
	use File::Path;
   &main;
};
if ($@) {
	print "content-type:text/html\n\n";
	print "Error Including configuration file, Reason: $@";
	exit;
}
################################################################
sub main {
	my($time, $time_start, $time_end, $HTML);
	$|++;
	$anonyminit=1;
	$goingoutside=1;
	&Initialization;

	if(-f "$CONFIG{script_path}/ibill.$CONFIG{script_ext}"){
		require "admin_ibill.pl";
		&iBillCrontab;
	}
   &ExpireAds;

	&CleanExpiredAds;
   &ExpireMembers;

	&RunSavedSearch;

###Finish cron tabs running... Now calculating the results
	$time_end = &TimeNow;
	$time = int( $time_end - $time_start);
	$html = &CalculateResult;
	$code = &SendMail("crontab\@mojoscripts.com", "crontab\@mojoscripts.com", $CONFIG{myemail}, "Cron Tabs", $html, 1);

	if($ENV{REQUEST_METHOD}){
		&PrintHeader;
		print $html;
	}
	exit;
}
################################################################
sub CalculateResult{
	my($expire, $email_content,$HTML_ads, %HTML, $time,$srsent);
        $time = &FormatTime(&TimeNow, "%m.%d.%Y %H:%M");

	$srsent=join(", ",keys %SRSENT);

	foreach (keys %ABOUT2EXPIRE){ $HTML{members} .= qq|<tr><td>$_</td><td>$ABOUT2EXPIRE{$_}</td><td>Sent reminder</td></tr>|; }
	foreach (keys %STORAGEDEL){   $HTML{members} .= qq|<tr><td>$_</td><td>$time</td><td>Deleted from the database because of inactivity</td></tr>|;							}
	foreach (keys %EXPIRE){			$HTML{members} .= qq|<tr><td>$_</td><td>$EXPIRE{$_}</td><td>Expired and sent mail</td></tr>|;	}
	foreach (keys %PROLONG){	   $HTML{members} .= qq|<tr><td>$_</td><td>$PROLONG{$_}</td><td>Subscription prolonged</td></tr>|;	}
	foreach (keys %DELETED){		$HTML{members} .= qq|<tr><td>$_</td><td>$DELETED{$_}</td><td>Deleted from the database</td></tr>|; }
	foreach (keys %ACCHANGED){		$HTML{members} .= qq|<tr><td>$_</td><td>$ACCHANGED{$_}</td><td>Account changed to default </td></tr>|; }
	unless($HTML{members}){			$HTML{members} .=qq|<tr><td colspan=3>There was nothing to do with your members</td></tr>|;}
	foreach (keys %ADEXPIRE){		$HTML{ads} .= qq|<tr><td>$_</td><td>$ADEXPIRE{$_}</td><td>Expired</td></tr>|; }
	unless($HTML{ads}){	    		$HTML{ads} .=qq|<tr><td colspan=3>There was not any expired ad. Nothing was done</td></tr>|; }

         $email_content=qq|
<html>
<head>
<title>$mj{program} $mj{version}</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#FFFFFF" text="#000000">
<table width="500" border="1" cellspacing="0" cellpadding="0" align="center" bordercolor="#33CCFF">
  <tr bgcolor="#99CCFF">
    <td colspan="3">
      <div align="center"><font size="5"><b>Cron Tab Results at $time</b></font></div>
    </td>
  </tr>
  <tr>
    <td><b>Username</b></td>
    <td><b>Expire on</b></td>
    <td><b>Action taken</b></td>
  </tr>
  $HTML{members}
  <tr valign="bottom">
    <td>
      <div align="left"><b><br>
        Ads ID</b></div>
    </td>
    <td>
      <div align="left"><b>Posted by</b></div>
    </td>
    <td>
      <div align="left"><b>Action Taken</b></div>
    </td>
  </tr>
$HTML{ads}
  <tr valign="bottom">
    <td colspan=3>
       Saved search results sent to $srsent member(s).
    </td>
  </tr>
  <tr>
    <td colspan="3">
      <div align="center"><br>
        Please <a href="http://www.mojoscripts.com">contact us</a> if you have any problems.</div>
    </td>
  </tr>
</table>
</body>
</html>
|;
return $email_content;
}
################################################################

#end
