#!/usr/bin/perl
#eval {
        our $include_mode='require';
        our %CONFIG;

        ($0=~ m,(.*)/[^/]+,)   && unshift (@INC, "$1");
        ($0=~ m,(.*)\\[^\\]+,) && unshift (@INC, "$1");

        require "./config.pl";
        ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,$blksize,$blocks) = stat("$CONFIG{script_path}/config.pl");
        if (($CONFIG{last_update}<$mtime) or ($CONFIG{script_path} eq '')) { do "./config.pl";}

        unshift(@INC, $CONFIG{script_path}."/scripts");
        unshift(@INC, $CONFIG{script_path});

        if (-e "$CONFIG{script_path}/scripts_refresh") {$include_mode='do';}

        include ("./scripts/database.pl");
        include ("./scripts/new_database.pl");
        include ("./scripts/default_config.pl");
        include ("./scripts/display.pl");
        include ("./english.lng");
        include ("./scripts/gateway.pl");
        include ("./scripts/html.pl");
        include ("./scripts/library.pl");
        include ("./scripts/logs.pl");
        include ("./scripts/members.pl");
        include ("./scripts/search.pl");
        include ("./scripts/templates.pl");
        include ("./scripts/mojoscripts.pl");
        include ("./scripts/parse_template.pl");
        include ("./scripts/serverinfo.pl");
        include ("./scripts/ads.pl");
        include ("./scripts/mailbox.pl");
        include ("./scripts/gallery.pl");
        include ("./scripts/adsearch.pl");

        use CGI qw(:standard);
        use CGI::Carp qw(fatalsToBrowser);
        use File::Path;
        use strict;
	our (%FORM, %MOJO, %mj, %TEMPLATE);

        &main;
        if (-e "$CONFIG{script_path}/scripts_refresh") {unlink "$CONFIG{script_path}/scripts_refresh";}
#};
#if ($@) {
#        print "content-type:text/html\n\n";
#        print "Error Including configuration file, Reason: $@";
#        exit;
#}
################################################################
sub main {
        our $exit=0;
        $|++;
	umask 0022;
#       $Cgi = new CGI; $Cgi{mojoscripts_created} = 1;
        &ParseForm;
        $FORM{action}="browse" unless $FORM{type};
        &Initialization;
        &CheckAllRequiredFiles;
        &LogUser;
        &CheckMemberPermission;

#hash_print();
#%FORM=();



                  if($FORM{type} eq "member"){      &MemberMain;}
                  elsif($FORM{type} eq "search"){   &Search;}
                  elsif($FORM{type} eq "ad"){       &AdMain;}
        elsif($FORM{type} eq "personal"){&Personals;}
        elsif($FORM{type} eq "mail"){    &Mailbox;}
        elsif($FORM{type} eq "gallery"){ &GalleryMain;}
        elsif($FORM{type} eq "savedsearch"){  &SavedsearchMain;}

        elsif($FORM{adid}){             &AdView;}
        elsif ($FORM{cat}){             &DisplayCategory;}

#        if ($MEMBER{username}){ &PrintMemberPanel;}
#        else{                        &PrintMemberLogin;}
        elsif(!$exit){&DisplayHome;}
}
############################################################
sub DisplayHome{
        &BuildSubcategories;
        unless($MOJO{cats}){
                $MOJO{cats} =qq|<h2>No Ad category has been defined</h2>
              <BLOCKQUOTE>
 It appears that your installation of $mj{program} $mj{version} has been successfull.
 You can now login into the admin area to define some Ad categories of your own
 If you have not changed your admin password, the default of <b>admin/mojoscripts</b> will work.
 <br><br><br>
 Thanks<br>
 mojoStuff
 </BLOCKQUOTE> |;
        }
        &PrintTemplate($TEMPLATE{home});
}
############################################################
sub DisplayCategory{
#        &CheckCategory("$CONFIG{data_path}/$FORM{cat}");
        &BuildNextPrevCategory;
        &BuildSubcategories;
   &BuildCategoryAds;
        &PrintTemplate($TEMPLATE{category});
}
############################################################

sub include {
        my $file=shift();
        if ($include_mode eq 'do') {do $file;} else {require $file;}
}